Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation
[Java] Class MinConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint
          org.codehaus.groovy.grails.validation.MinConstraint

    @java.lang.SuppressWarnings({"unchecked","rawtypes"})
    public class MinConstraint
    extends AbstractConstraint

Implements a minimum value constraint.

Authors:
  Graeme Rocher

Since:
  0.4

Field Summary

Fields inherited from class AbstractConstraint
classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource

Method Summary
`java.lang.Comparable` | `getMinValue()` @return Returns the minValue.
`java.lang.String` | `getName()`
`protected void` | `processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`
`void` | `setParameter(java.lang.Object constraintParameter)`
`boolean` | `supports(java.lang.Class type)`

Methods inherited from class AbstractConstraint
checkState, getDefaultMessage, getParameter, getPropertyName, isValid, processValidate, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setParameter, setPropertyName, skipBlankValues, skipNullValues, toString, validate

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getMinValue

    public java.lang.Comparable getMinValue()

  Returns:
    Returns the minValue.

### getName

    public java.lang.String getName()

### processValidate

    @java.lang.Override
    protected void processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

### setParameter

    @java.lang.Override
    public void setParameter(java.lang.Object constraintParameter)

### supports

    public boolean supports(java.lang.Class type)

Groovy Documentation